using IRaCIS.Core.Domain.Share;

namespace IRaCIS.Core.Domain.Models;

[Comment("后台 - 用户账户操作日志")]
[Table("UserLog")]
public class UserLog : BaseAddAuditEntity
{
    #region 导航属性
    [JsonIgnore]
    public UserRole LoginUser { get; set; }

    [JsonIgnore]
    public UserRole OptUser { get; set; }
    #endregion

    public string IP { get; set; } = string.Empty;
    public string LoginFaildName { get; set; } = string.Empty;
    public UserOptType OptType { get; set; }
    public string LoginPassword { get; set; } = string.Empty;

    public string IPRegion { get; set; } = string.Empty;


    #region 账号修改 维护

    //public Guid? LoginIdentityUserId { get; set; }

    //public string LoginUserName { get; set; }

    //public UserTypeEnum loginUserType { get; set; }
    


    #endregion


    public Guid? LoginUserId { get; set; }
    [Comment("被操作的人，自己操作的就是自己")]
    public Guid? OptUserId { get; set; }

}

